package com.zehong.system.domain.track;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zehong.common.annotation.Excel;
import com.zehong.common.core.domain.BaseEntity;

/**
 * 设备装配记录对象 t_product_device_mark
 * 
 * @author zehong
 * @date 2024-08-28
 */
public class TProductDeviceMark extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 设备编号 */
    @Excel(name = "设备编号")
    private Long deviceId;

    /** 装配编号 */
    @Excel(name = "装配编号")
    private Long markId;

    /** 装配步骤编号 */
    @Excel(name = "装配步骤编号")
    private Long detailId;

    /** 装配图片 */
    @Excel(name = "装配图片")
    private String imgUrl;

    /** 装配视频 */
    @Excel(name = "装配视频")
    private String videoUrl;

    /** $column.columnComment */
    @Excel(name = "装配视频")
    private Long createId;

    private Long markDetailId;

    private Long preMarkId;

    private Long orders;

    private String title;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setDeviceId(Long deviceId) 
    {
        this.deviceId = deviceId;
    }

    public Long getDeviceId() 
    {
        return deviceId;
    }
    public void setMarkId(Long markId) 
    {
        this.markId = markId;
    }

    public Long getMarkId() 
    {
        return markId;
    }
    public void setDetailId(Long detailId) 
    {
        this.detailId = detailId;
    }

    public Long getDetailId() 
    {
        return detailId;
    }
    public void setImgUrl(String imgUrl) 
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl() 
    {
        return imgUrl;
    }
    public void setVideoUrl(String videoUrl) 
    {
        this.videoUrl = videoUrl;
    }

    public String getVideoUrl() 
    {
        return videoUrl;
    }
    public void setCreateId(Long createId) 
    {
        this.createId = createId;
    }

    public Long getCreateId() 
    {
        return createId;
    }

    public Long getMarkDetailId() {
        return markDetailId;
    }

    public void setMarkDetailId(Long markDetailId) {
        this.markDetailId = markDetailId;
    }

    public Long getPreMarkId() {
        return preMarkId;
    }

    public void setPreMarkId(Long preMarkId) {
        this.preMarkId = preMarkId;
    }

    public Long getOrders() {
        return orders;
    }

    public void setOrders(Long orders) {
        this.orders = orders;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("deviceId", getDeviceId())
            .append("markId", getMarkId())
            .append("detailId", getDetailId())
            .append("imgUrl", getImgUrl())
            .append("videoUrl", getVideoUrl())
            .append("remark", getRemark())
            .append("createTime", getCreateTime())
            .append("createId", getCreateId())
            .toString();
    }
}
